%def_with objprelink
%define tse_ver 0.2.5

Name: noteedit
Version: 2.0.18
Release: alt1

Summary: Score editor with extensive Midi functionality.
Summary(ru_RU.KOI8-R):     Midi.
Group: Sound
License: GPL
Url: http://rnvs.informatik.tu-chemnitz.de/~jan/%name/%name.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
Source4: http://rnvs.informatik.tu-chemnitz.de/cgi-bin/nph-sendbin.cgi/~jan/%name/bee5.not.bz2

Requires: kdelibs-gcc_compiled = %__gcc_version_base
Requires: lib%name = %version-%release, lib%name-gcc_compiled = %__gcc_version_base
Requires: libtse3 >= %tse_ver, libtse3-gcc_compiled = %__gcc_version_base

BuildPreReq: bison >= 1.32, autoconf = 2.13
BuildPreReq: kdelibs-gcc_compiled = %__gcc_version_base, libtse3-devel >= %tse_ver, libtse3-gcc_compiled = %__gcc_version_base
%if_with objprelink
BuildPreReq: objprelink
%endif

# Automatically added by buildreq on Mon Jan 27 2003
#BuildRequires: XFree86-devel XFree86-libs flex fontconfig freetype2 gcc-c++ glibc-devel-static kde-settings kdelibs-devel kdemultimedia-arts libGLU libXft libalsa2-devel libart_lgpl-devel libarts-devel libaudiofile-devel libexpat libjpeg-devel liblcms libmad libmng libogg libpng-devel libqt3-devel libstdc++-devel libtse3-devel libvorbis libxslt objprelink xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs flex fontconfig freetype2 gcc-c++ glibc-devel-static 
BuildRequires: kdelibs-devel kdemultimedia-arts libGLU libXft libalsa2-devel libart_lgpl-devel
BuildRequires: libarts-devel libaudiofile-devel libexpat libjpeg-devel liblcms libmad libmng libogg
BuildRequires: libpng-devel libqt3-devel libstdc++-devel libtse3-devel libvorbis libxslt xml-utils zlib-devel

%description
Noteedit is a score editor based on the Midi library TSE3. It can read
and write Midi files and process events sent from an external Midi
keyboard. The configured Midi devices of the system can be used to
playback the score. The score can be saved as MusiXTeX file for printout.

%description -l ru_RU.KOI8-R
Noteedit -   ( ),  
Midi- TSE3.      Midi    
 Midi .   Midi 
    .  
    MusiXTeX  Lilypond  
  .

%package -n lib%name
Summary: Shared library for %name
Group: System/Libraries
Provides: lib%name-gcc_compiled = %__gcc_version_base
Requires: kdelibs-gcc_compiled = %__gcc_version_base

%description -n lib%name
This package contains shared library required for %name to work.

%description -n lib%name -l ru_RU.KOI8-R
 ,      %name.

%prep
%setup -q

%build
#%set_autoconf_version 2.13

%undefine __libtoolize
%configure \
	--disable-rpath \
	--disable-static \
	--enable-shared \
	--disable-debug \
	--program-prefix=""

# SMP-incompatible build
%if_with objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot%_datadir/apps/%name/icons
%__mkdir_p %buildroot%_docdir/%name-%version/{examples,lyrics}
%__install -p -m644 README AUTHORS %buildroot%_docdir/%name-%version/
%__install -p -m644 %SOURCE4 noteedit/examples/example*.not %buildroot%_docdir/%name-%version/examples/
%__install -p -m644 noteedit/lyrics/*.txt %buildroot%_docdir/%name-%version/lyrics

# Install menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Multimedia/Sound" title="Noteedit" \
longtitle="Score editor" command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post
%update_menus

%postun
%clean_menus

%files -n lib%name
%_libdir/*.so.*

%files -f %name.lang
%_bindir/%name
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.*
%_datadir/apps/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
#
%doc %_docdir/HTML/*/%name
%doc %_docdir/%name-%version
#
%_menudir/%name
%_datadir/applnk/*/*.desktop

%changelog
* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.18-alt1
- 2.0.18

* Fri Nov 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.17-alt1
- 2.0.17

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.16-alt2
- Rebuild with new QT3/KDE3. 

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.16-alt1
- new version
- built with gcc3.2

* Sat Aug 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.10-alt1
- 2.0.10
- built with newer tse3-0.2.5

* Thu Jun 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4 

* Mon Jun 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuilt with newer tse3-0.2.3

* Thu Jun 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1 
- qt3/kde3, alsa2 only supported now.

* Tue May 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.18.3-alt2
- rebuilt with qt3/kde3, tse3-0.1.3 
- buildrequires updated.

* Sat Apr 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.18.3-alt1
- 1.18.3  
- alsa2 by default.
- qt_ver option.

* Wed Feb 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17.1-alt1
- new version

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.17.0-alt4
- Updated buildrequires.
- Moved shared library to lib%name subpackage.

* Mon Feb 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt3
- build process corrected for bison 1.32

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt2
- cleanups

* Mon Jan 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.17-alt1
- Updated to 1.17

* Tue Dec 20 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.16.1-alt1
- Updated to 1.16.1, built with new TSE3 library (0.1.2)

* Tue Dec 11 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.15.3-alt1
- Updated to 1.15.3.

* Tue Nov 6 2001 - Yuri N. Sedunov <aris@altlinux.ru> 1.15.2-alt4
- Minor specfile cleanup. Automatically added buildrequres.

* Mon Nov 5 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt3
_ rebuilt with reorganized tse3

* Sat Nov 3 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt2
- rebuilt with modified tse3 (arts support disabled)

* Wed Oct 31 2001 - Yuri N. Sedunov <aris@altlinux.ru> alt1
- First build for Sisyphus
